List Orders
Lists all orders from the given trading account.
Requires access token scope: trade_view
Path Params
-
accountIdstring requiredThe ID of the account
Query Params
-
offsetinteger -
limitinteger -
clientOrderIdstringThe clientOrderId of the order to retrieve -
dateGtestring date-timeReturn client orders with acreationDatethat is greater than or equal to the given timestamp -
dateLtstring date-timeReturn client orders with acreationDatethat is less than the given timestamp -
statusstring enumReturn client orders with an orderstatusthat is equal to the given stringpending_openopencompletedpending_cancelcancelederrorscheduled -
fundingTypestring enumFilter by funding type. 'funded' for available balance, 'margin' for margin balance.marginfunded
Responses
200
An array of orders
Response Body
object
-
dataarray of objects requireddata object
-
idstring uuid requiredUnique identifier for the order. Used to reference the order in other endpoints. -
accountIdstring requiredThe ID of the account -
enterpriseIdstring required -
initiatedByUserIdstring required -
canceledByUserIdstring required -
clientOrderIdstring requiredCustom order ID provided by the client. This must be a unique ID for each individual order and cannot be the same across multiple requests. Can be used to ensure idempotency of order requests. -
timestring date-time required -
creationDatestring date-time required -
scheduledDatestring date-time requiredDate to schedule the order. If not provided, the order will be placed immediately. -
lastFillDatestring date-time required -
completionDatestring date-time required -
settleDatestring date-time required -
fundingTypestring enum requiredThe funding type of the order.
- Funded orders will be placed using the Go account balance.
- Margin orders will be placed using the margin account balances. See our Trade Guide for more details on each funding type.
marginfunded -
typestring enum requiredThe type of order to be placed. See our Trade Guide for more details on each order type.markettwaplimitsteady_pacestop -
timeInForcestring enum requiredTime in force policy for the order.
- GTC (Good Till Cancelled): Order remains active until filled or cancelled.
- IOC (Immediate or Cancel): Order fills as much as possible immediately, any unfilled remainder is cancelled.
- FOK (Fill or Kill): The entire order must be filled immediately or it is cancelled completely. Unlike IOC, no partial fills are accepted.
- GTD (Good Till Date): Order remains active until filled, cancelled, or the specified duration expires. Requires
durationto be set.
GTCIOCFOKGTD -
statusstring enum requiredpending_openopencompletedpending_cancelcancelederrorscheduled -
reasonstring enum requiredReason for order cancellation. 'internalError' indicates an error occurred within the server while processing the order, resulting in an order cancellation. 'insufficientFunds' indicates that the order was cancelled due to shortage of funds to complete the transaction.internalErrorinsufficientFunds -
reasonDescriptionstring required -
productstring requiredProduct name e.g. BTC-USD (base-quote) -
sidestring enum requiredThe side of the orderbuysell -
quantitystring decimal requiredThe specified quantity. -
quantityCurrencystring requiredThe specified quantity currency. -
filledQuantitystring decimal requiredThe total base quantity filled. -
filledQuoteQuantitystring decimal requiredThe total quote quantity filled. -
leavesQuantitystring decimal requiredFor orders created with base currency, this field is set to the remaining unfilled base quantity.
- Only one of leavesQuantity or leavesQuoteQuantity will be set.
- This field is set to null for orders created with quote currency.
-
leavesQuoteQuantitystring decimal requiredFor orders created with quote currency, this field is set to the remaining unfilled quote quantity.
- Only one of leavesQuantity or leavesQuoteQuantity will be set.
- This field is set to null for orders created with base currency.
-
averagePricestring decimal requiredThe average price for the order's trades. -
limitPricestring decimal requiredThe limit price. It always refers to the quote currency.
- It's maximum precision is determined by the product's
quoteDisplayPrecisionfield, which can be fetched from the list products endpoint.
- It's maximum precision is determined by the product's
-
triggerPricestring decimalThe trigger price for stop orders. When the market reaches this price, the stop order is activated.
- For buy stop-limit orders,
triggerPricemust be less than or equal tolimitPrice. - For sell stop-limit orders,
triggerPricemust be greater than or equal tolimitPrice. - It always refers to the quote currency.
- For buy stop-limit orders,
-
durationinteger requiredDuration of the order in minutes. -
twapIntervalinteger requiredInterval length of the TWAP order in minutes. -
rtIdstring requiredThe request tracking ID associated with the order. -
parametersobjectparameters object
-
isTimeSlicedbooleanThe isTimeSliced field when provided determines the order's time slicing behavior:
- If isTimeSliced is set to true, the order will be executed using a time-sliced strategy.
- If isTimeSliced is set to false, the order will be executed using a regular TWAP strategy without time slicing.
- If isTimeSliced is not specified, the default behavior uses a regular TWAP strategy without time slicing.
-
boundsControlstring enumThe boundsControl field when provided determines how strictly the TWAP order adheres to its target fill progression. This parameter only applies to regular TWAP orders. It is not supported for TimeSliced orders and will be ignored if provided.
- narrow - within 3% or 3 minutes
- standard - within 5% or 5 minutes
- wide - within 7.5% or 7.5 minutes
- If boundsControl is not specified, the default behavior is
standard.
narrowstandardwide -
intervalinteger requiredThe interval for the SteadyPace order, specified in conjunction with the interval unit. -
intervalUnitstring enum requiredThe unit of time for the interval. Defaults to "minute".secondminutehour -
subOrderSizestring decimal requiredThe size of each sub-order in the SteadyPace order. -
variancestring decimalOptional degree of randomization for sub-order sizes. Accepts a decimal value rounded to two decimal places between 0 and 1, representing the variation in the size of each sub-order. For example, a value of 0.20 indicates a 20% variance in sub-order sizes.
-
-
notesstring requiredAdditional notes associated with the order.
-
401
Unauthorized - Invalid or missing authentication
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
403
Forbidden - Insufficient permissions
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
500
Internal Server Error
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-